> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisfi.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Return Details

> Get a payout return transaction by its transaction or refund order ID.



## OpenAPI

````yaml /openapi/2026-08-31.json get /api/transactions/return/detail
openapi: 3.0.1
info:
  title: AxisFi API 接口文档
  description: 认证需同时提供 API Key 和 Secret
  version: '2026-08-31'
servers:
  - url: https://sandbox-api.axisfi.net
    description: Sandbox
security:
  - X-API-Key: []
    X-API-Secret: []
paths:
  /api/transactions/return/detail:
    get:
      tags:
        - Transactions
      summary: Get Return Details
      description: Get a payout return transaction by its transaction or refund order ID.
      operationId: returnDetailV20260831
      parameters:
        - name: partner_transaction_id
          in: query
          required: false
          schema:
            type: string
        - name: transaction_id
          in: query
          required: false
          schema:
            type: string
        - name: Api-Version
          in: header
          description: AxisFi API contract version
          required: true
          schema:
            type: string
            default: '2026-08-31'
            enum:
              - '2026-08-31'
          example: '2026-08-31'
      responses:
        '200':
          description: Operation Successful
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ReturnDetailsRespVo'
        '400':
          description: Invalid Parameter
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '403':
          description: Forbidden (No Permission)
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '404':
          description: Not Found
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
        '405':
          description: Method Not Allowed
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorRespVo'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                errors:
                  - detail: <string>
                    code: <string>
components:
  schemas:
    ReturnDetailsRespVo:
      type: object
      properties:
        status:
          type: string
          description: Return transaction status
          example: completed
          enum:
            - pending
            - completed
            - failed
        currency:
          type: string
          description: Return currency code
          example: USD
        amount:
          type: number
          description: Return amount
          example: 990
        sender_account_name:
          type: string
          description: Sender bank account name
          example: Example Beneficiary Ltd
        sender_account_number:
          type: string
          description: Sender bank account number
          example: '1234567890'
        transaction_type:
          type: string
          description: Transaction Type
          example: return
          enum:
            - return
        transaction_id:
          type: string
          description: AxisFI Return Transaction Id
          example: txn_6605854fbcf4423bb4d9c865fc10b10e
        original_transaction_id:
          type: string
          description: Original Payout Transaction Id
          example: txn_4963acdd765344c588c10cdd441a7399
        refund_order_id:
          type: string
          description: Refund Order Id
          example: R202609161531506979209
        refund_reason:
          type: string
          description: Reason for the payout return
          example: Beneficiary bank return
        created_at:
          type: string
          description: Return transaction creation time
          format: date-time
        completed_at:
          type: string
          description: Return transaction completion time
          format: date-time
      description: Payout return transaction
    ErrorRespVo:
      type: object
      properties:
        errors:
          type: array
          description: 错误信息列表
          items:
            $ref: '#/components/schemas/ErrorDetailRespVo'
      description: 错误响应结果
    ErrorDetailRespVo:
      type: object
      properties:
        detail:
          type: string
          description: 错误详细描述
          example: Invalid organizationId
        code:
          type: string
          description: 错误码
          example: ORG_ID_INVALID
      description: 错误详情
  securitySchemes:
    X-API-Key:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    X-API-Secret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````